STRCHR(3)

NAME
strchr, strrchr - locate character in string

LIBRARY
libc

SYNOPSIS
#include <string.h>
char *
strchr(const char *s, int c);
char *
strrchr(const char *s, int c);

DESCRIPTION
The strchr() function locates the first occurrence of c (converted to a char) in the string pointed to by s. The terminating null character is considered part of the string; therefore if c is ‘\0’, the functions locate the terminating ‘\0’.

The strrchr() function is identical to strchr() except it locates the last occurrence of c.

RETURN VALUES
The functions strchr() and strrchr() return a pointer to the located character, or NULL if the character does not appear in the string.

SEE ALSO
memchr(3), strcspn(3), strpbrk(3), strsep(3), strspn(3), strstr(3), strtok(3)

STANDARDS
The functions strchr() and strrchr() conform to isoC.